Index: include/RTItypes.hh
===================================================================
RCS file: /sources/certi/certi/include/RTItypes.hh,v
retrieving revision 3.19.4.1
diff -u -r3.19.4.1 RTItypes.hh
--- include/RTItypes.hh	7 Jan 2009 10:39:57 -0000	3.19.4.1
+++ include/RTItypes.hh	12 Jan 2009 16:48:06 -0000
@@ -374,11 +374,11 @@
 class FEDTIME_EXPORT FedTimeFactory
 {
 public:
-    static RTI::FedTime *makeZero()
-	throw (RTI::MemoryExhausted);
+    static FedTime *makeZero()
+	throw (MemoryExhausted);
 
-    static RTI::FedTime* decode(const char *buf)
-	throw (RTI::MemoryExhausted);
+    static FedTime* decode(const char *buf)
+	throw (MemoryExhausted);
 };
 
 struct EventRetractionHandle_s {
Index: include/baseTypes.hh
===================================================================
RCS file: /sources/certi/certi/include/baseTypes.hh,v
retrieving revision 3.13
diff -u -r3.13 baseTypes.hh
--- include/baseTypes.hh	7 Dec 2008 20:16:12 -0000	3.13
+++ include/baseTypes.hh	21 Jan 2009 14:04:42 -0000
@@ -35,10 +35,10 @@
 };
 
 #define RTI_EXCEPT(A) \
-class RTI_EXPORT A : public Exception { \
+class A : public Exception { \
 public: \
-    static const char *_ex ; \
-    static long type ; \
+    static RTI_EXPORT const char *_ex ; \
+    static RTI_EXPORT long type ; \
     A (const char *reason) : Exception(reason) { _name = #A ; this->displayMe();} \
     A (ULong serial, const char *reason = 0) \
         : Exception(serial, reason) { _name = #A ; this->displayMe(); } \
Index: libCERTI/Exception.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/Exception.cc,v
retrieving revision 3.17.4.1
diff -u -r3.17.4.1 Exception.cc
--- libCERTI/Exception.cc	5 Jan 2009 13:34:50 -0000	3.17.4.1
+++ libCERTI/Exception.cc	21 Jan 2009 14:20:52 -0000
@@ -27,118 +27,116 @@
 #include "PrettyDebug.hh"
 #include <sstream>
 
-using namespace certi;
-
 // static members for HLA Exceptions
-long ArrayIndexOutOfBounds::_type = e_ArrayIndexOutOfBounds ;
-long AsynchronousDeliveryAlreadyDisabled::_type = e_AsynchronousDeliveryAlreadyDisabled ;
-long AsynchronousDeliveryAlreadyEnabled::_type = e_AsynchronousDeliveryAlreadyEnabled ;
-long AttributeAcquisitionWasNotRequested::_type = e_AttributeAcquisitionWasNotRequested ;
-long AttributeAcquisitionWasNotCanceled::_type = e_AttributeAcquisitionWasNotCanceled ;
-long AttributeAlreadyBeingAcquired::_type = e_AttributeAlreadyBeingAcquired ;
-long AttributeAlreadyBeingDivested::_type = e_AttributeAlreadyBeingDivested ;
-long AttributeAlreadyOwned::_type = e_AttributeAlreadyOwned ;
-long AttributeDivestitureWasNotRequested::_type = e_AttributeDivestitureWasNotRequested ;
-long AttributeNotDefined::_type = e_AttributeNotDefined ;
-long AttributeNotKnown::_type = e_AttributeNotKnown ;
-long AttributeNotOwned::_type = e_AttributeNotOwned ;
-long AttributeNotPublished::_type = e_AttributeNotPublished ;
-long ConcurrentAccessAttempted::_type = e_ConcurrentAccessAttempted ;
-long CouldNotDiscover::_type = e_CouldNotDiscover ;
-long CouldNotOpenFED::_type = e_CouldNotOpenFED ;
-long CouldNotRestore::_type = e_CouldNotRestore ;
-long DeletePrivilegeNotHeld::_type = e_DeletePrivilegeNotHeld ;
-long DimensionNotDefined::_type = e_DimensionNotDefined ;
-long EnableTimeConstrainedPending::_type = e_EnableTimeConstrainedPending ;
-long EnableTimeConstrainedWasNotPending::_type = e_EnableTimeConstrainedWasNotPending ;
-long EnableTimeRegulationPending::_type = e_EnableTimeRegulationPending ;
-long EnableTimeRegulationWasNotPending::_type = e_EnableTimeRegulationWasNotPending ;
-long ErrorReadingFED::_type = e_ErrorReadingFED ;
-long EventNotKnown::_type = e_EventNotKnown ;
-long FederateAlreadyExecutionMember::_type = e_FederateAlreadyExecutionMember ;
-long FederateInternalError::_type = e_FederateInternalError ;
-long FederateLoggingServiceCalls::_type = e_FederateLoggingServiceCalls ;
-long FederateNotExecutionMember::_type = e_FederateNotExecutionMember ;
-long FederateOwnsAttributes::_type = e_FederateOwnsAttributes ;
-long FederateWasNotAskedToReleaseAttribute::_type = e_FederateWasNotAskedToReleaseAttribute ;
-long FederatesCurrentlyJoined::_type = e_FederatesCurrentlyJoined ;
-long FederationExecutionAlreadyExists::_type = e_FederationExecutionAlreadyExists ;
-long FederationExecutionDoesNotExist::_type = e_FederationExecutionDoesNotExist ;
-long FederationTimeAlreadyPassed::_type = e_FederationTimeAlreadyPassed ;
-long HandleValuePairMaximumExceeded::_type = e_HandleValuePairMaximumExceeded ;
-long InteractionClassNotDefined::_type = e_InteractionClassNotDefined ;
-long InteractionClassNotKnown::_type = e_InteractionClassNotKnown ;
-long InteractionClassNotPublished::_type = e_InteractionClassNotPublished ;
-long InteractionClassNotSubscribed::_type = e_InteractionClassNotSubscribed ;
-long InteractionParameterNotDefined::_type = e_InteractionParameterNotDefined ;
-long InteractionParameterNotKnown::_type = e_InteractionParameterNotKnown ;
-long InvalidExtents::_type = e_InvalidExtents ;
-long InvalidFederationTime::_type = e_InvalidFederationTime ;
-long InvalidHandleValuePairSetContext::_type = e_InvalidHandleValuePairSetContext ;
-long InvalidLookahead::_type = e_InvalidLookahead ;
-long InvalidOrderingHandle::_type = e_InvalidOrderingHandle ;
-long InvalidRegionContext::_type = e_InvalidRegionContext ;
-long InvalidResignAction::_type = e_InvalidResignAction ;
-long InvalidRetractionHandle::_type = e_InvalidRetractionHandle ;
-long InvalidTransportationHandle::_type = e_InvalidTransportationHandle ;
-long MemoryExhausted::_type = e_MemoryExhausted ;
-long NameNotFound::_type = e_NameNotFound ;
-long ObjectClassNotDefined::_type = e_ObjectClassNotDefined ;
-long ObjectClassNotKnown::_type = e_ObjectClassNotKnown ;
-long ObjectClassNotPublished::_type = e_ObjectClassNotPublished ;
-long ObjectClassNotSubscribed::_type = e_ObjectClassNotSubscribed ;
-long ObjectNotKnown::_type = e_ObjectNotKnown ;
-long ObjectAlreadyRegistered::_type = e_ObjectAlreadyRegistered ;
-long OwnershipAcquisitionPending::_type = e_OwnershipAcquisitionPending ;
-long RegionInUse::_type = e_RegionInUse ;
-long RegionNotKnown::_type = e_RegionNotKnown ;
-long RestoreInProgress::_type = e_RestoreInProgress ;
-long RestoreNotRequested::_type = e_RestoreNotRequested ;
-long RTIinternalError::_type = e_RTIinternalError ;
-long SpaceNotDefined::_type = e_SpaceNotDefined ;
-long SaveInProgress::_type = e_SaveInProgress ;
-long SaveNotInitiated::_type = e_SaveNotInitiated ;
-long SpecifiedSaveLabelDoesNotExist::_type = e_SpecifiedSaveLabelDoesNotExist ;
-long SynchronizationPointLabelWasNotAnnounced::_type = e_SynchronizationPointLabelWasNotAnnounced ;
-long TimeAdvanceAlreadyInProgress::_type = e_TimeAdvanceAlreadyInProgress ;
-long TimeAdvanceWasNotInProgress::_type = e_TimeAdvanceWasNotInProgress ;
-long TimeConstrainedAlreadyEnabled::_type = e_TimeConstrainedAlreadyEnabled ;
-long TimeConstrainedWasNotEnabled::_type = e_TimeConstrainedWasNotEnabled ;
-long TimeRegulationAlreadyEnabled::_type = e_TimeRegulationAlreadyEnabled ;
-long TimeRegulationWasNotEnabled::_type = e_TimeRegulationWasNotEnabled ;
-long UnableToPerformSave::_type = e_UnableToPerformSave ;
-long ValueCountExceeded::_type = e_ValueCountExceeded ;
-long ValueLengthExceeded::_type = e_ValueLengthExceeded ;
+long certi::ArrayIndexOutOfBounds::_type = certi::e_ArrayIndexOutOfBounds ;
+long certi::AsynchronousDeliveryAlreadyDisabled::_type = certi::e_AsynchronousDeliveryAlreadyDisabled ;
+long certi::AsynchronousDeliveryAlreadyEnabled::_type = certi::e_AsynchronousDeliveryAlreadyEnabled ;
+long certi::AttributeAcquisitionWasNotRequested::_type = certi::e_AttributeAcquisitionWasNotRequested ;
+long certi::AttributeAcquisitionWasNotCanceled::_type = certi::e_AttributeAcquisitionWasNotCanceled ;
+long certi::AttributeAlreadyBeingAcquired::_type = certi::e_AttributeAlreadyBeingAcquired ;
+long certi::AttributeAlreadyBeingDivested::_type = certi::e_AttributeAlreadyBeingDivested ;
+long certi::AttributeAlreadyOwned::_type = certi::e_AttributeAlreadyOwned ;
+long certi::AttributeDivestitureWasNotRequested::_type = certi::e_AttributeDivestitureWasNotRequested ;
+long certi::AttributeNotDefined::_type = certi::e_AttributeNotDefined ;
+long certi::AttributeNotKnown::_type = certi::e_AttributeNotKnown ;
+long certi::AttributeNotOwned::_type = certi::e_AttributeNotOwned ;
+long certi::AttributeNotPublished::_type = certi::e_AttributeNotPublished ;
+long certi::ConcurrentAccessAttempted::_type = certi::e_ConcurrentAccessAttempted ;
+long certi::CouldNotDiscover::_type = certi::e_CouldNotDiscover ;
+long certi::CouldNotOpenFED::_type = certi::e_CouldNotOpenFED ;
+long certi::CouldNotRestore::_type = certi::e_CouldNotRestore ;
+long certi::DeletePrivilegeNotHeld::_type = certi::e_DeletePrivilegeNotHeld ;
+long certi::DimensionNotDefined::_type = certi::e_DimensionNotDefined ;
+long certi::EnableTimeConstrainedPending::_type = certi::e_EnableTimeConstrainedPending ;
+long certi::EnableTimeConstrainedWasNotPending::_type = certi::e_EnableTimeConstrainedWasNotPending ;
+long certi::EnableTimeRegulationPending::_type = certi::e_EnableTimeRegulationPending ;
+long certi::EnableTimeRegulationWasNotPending::_type = certi::e_EnableTimeRegulationWasNotPending ;
+long certi::ErrorReadingFED::_type = certi::e_ErrorReadingFED ;
+long certi::EventNotKnown::_type = certi::e_EventNotKnown ;
+long certi::FederateAlreadyExecutionMember::_type = certi::e_FederateAlreadyExecutionMember ;
+long certi::FederateInternalError::_type = certi::e_FederateInternalError ;
+long certi::FederateLoggingServiceCalls::_type = certi::e_FederateLoggingServiceCalls ;
+long certi::FederateNotExecutionMember::_type = certi::e_FederateNotExecutionMember ;
+long certi::FederateOwnsAttributes::_type = certi::e_FederateOwnsAttributes ;
+long certi::FederateWasNotAskedToReleaseAttribute::_type = certi::e_FederateWasNotAskedToReleaseAttribute ;
+long certi::FederatesCurrentlyJoined::_type = certi::e_FederatesCurrentlyJoined ;
+long certi::FederationExecutionAlreadyExists::_type = certi::e_FederationExecutionAlreadyExists ;
+long certi::FederationExecutionDoesNotExist::_type = certi::e_FederationExecutionDoesNotExist ;
+long certi::FederationTimeAlreadyPassed::_type = certi::e_FederationTimeAlreadyPassed ;
+long certi::HandleValuePairMaximumExceeded::_type = certi::e_HandleValuePairMaximumExceeded ;
+long certi::InteractionClassNotDefined::_type = certi::e_InteractionClassNotDefined ;
+long certi::InteractionClassNotKnown::_type = certi::e_InteractionClassNotKnown ;
+long certi::InteractionClassNotPublished::_type = certi::e_InteractionClassNotPublished ;
+long certi::InteractionClassNotSubscribed::_type = certi::e_InteractionClassNotSubscribed ;
+long certi::InteractionParameterNotDefined::_type = certi::e_InteractionParameterNotDefined ;
+long certi::InteractionParameterNotKnown::_type = certi::e_InteractionParameterNotKnown ;
+long certi::InvalidExtents::_type = certi::e_InvalidExtents ;
+long certi::InvalidFederationTime::_type = certi::e_InvalidFederationTime ;
+long certi::InvalidHandleValuePairSetContext::_type = certi::e_InvalidHandleValuePairSetContext ;
+long certi::InvalidLookahead::_type = certi::e_InvalidLookahead ;
+long certi::InvalidOrderingHandle::_type = certi::e_InvalidOrderingHandle ;
+long certi::InvalidRegionContext::_type = certi::e_InvalidRegionContext ;
+long certi::InvalidResignAction::_type = certi::e_InvalidResignAction ;
+long certi::InvalidRetractionHandle::_type = certi::e_InvalidRetractionHandle ;
+long certi::InvalidTransportationHandle::_type = certi::e_InvalidTransportationHandle ;
+long certi::MemoryExhausted::_type = certi::e_MemoryExhausted ;
+long certi::NameNotFound::_type = certi::e_NameNotFound ;
+long certi::ObjectClassNotDefined::_type = certi::e_ObjectClassNotDefined ;
+long certi::ObjectClassNotKnown::_type = certi::e_ObjectClassNotKnown ;
+long certi::ObjectClassNotPublished::_type = certi::e_ObjectClassNotPublished ;
+long certi::ObjectClassNotSubscribed::_type = certi::e_ObjectClassNotSubscribed ;
+long certi::ObjectNotKnown::_type = certi::e_ObjectNotKnown ;
+long certi::ObjectAlreadyRegistered::_type = certi::e_ObjectAlreadyRegistered ;
+long certi::OwnershipAcquisitionPending::_type = certi::e_OwnershipAcquisitionPending ;
+long certi::RegionInUse::_type = certi::e_RegionInUse ;
+long certi::RegionNotKnown::_type = certi::e_RegionNotKnown ;
+long certi::RestoreInProgress::_type = certi::e_RestoreInProgress ;
+long certi::RestoreNotRequested::_type = certi::e_RestoreNotRequested ;
+long certi::RTIinternalError::_type = certi::e_RTIinternalError ;
+long certi::SpaceNotDefined::_type = certi::e_SpaceNotDefined ;
+long certi::SaveInProgress::_type = certi::e_SaveInProgress ;
+long certi::SaveNotInitiated::_type = certi::e_SaveNotInitiated ;
+long certi::SpecifiedSaveLabelDoesNotExist::_type = certi::e_SpecifiedSaveLabelDoesNotExist ;
+long certi::SynchronizationPointLabelWasNotAnnounced::_type = certi::e_SynchronizationPointLabelWasNotAnnounced ;
+long certi::TimeAdvanceAlreadyInProgress::_type = certi::e_TimeAdvanceAlreadyInProgress ;
+long certi::TimeAdvanceWasNotInProgress::_type = certi::e_TimeAdvanceWasNotInProgress ;
+long certi::TimeConstrainedAlreadyEnabled::_type = certi::e_TimeConstrainedAlreadyEnabled ;
+long certi::TimeConstrainedWasNotEnabled::_type = certi::e_TimeConstrainedWasNotEnabled ;
+long certi::TimeRegulationAlreadyEnabled::_type = certi::e_TimeRegulationAlreadyEnabled ;
+long certi::TimeRegulationWasNotEnabled::_type = certi::e_TimeRegulationWasNotEnabled ;
+long certi::UnableToPerformSave::_type = certi::e_UnableToPerformSave ;
+long certi::ValueCountExceeded::_type = certi::e_ValueCountExceeded ;
+long certi::ValueLengthExceeded::_type = certi::e_ValueLengthExceeded ;
 
 //  TypeException managing (how to obtain TypeException from Exception name ?)
-long FederateNotPublishing::_type = e_FederateNotPublishing ;
-long FederateNotSubscribing::_type = e_FederateNotSubscribing ;
-long InvalidObjectHandle::_type = e_InvalidObjectHandle ;
-long CouldNotOpenRID::_type = e_CouldNotOpenRID ;
-long ErrorReadingRID::_type = e_ErrorReadingRID ;
-long AttributeNotSubscribed::_type = e_AttributeNotSubscribed ;
-long FederationAlreadyPaused::_type = e_FederationAlreadyPaused ;
-long FederationNotPaused::_type = e_FederationNotPaused ;
-long SecurityError::_type = e_SecurityError ;
-long FederateAlreadyPaused::_type = e_FederateAlreadyPaused ;
-long FederateDoesNotExist::_type = e_FederateDoesNotExist ;
-long FederateNameAlreadyInUse::_type = e_FederateNameAlreadyInUse ;
-long FederateNotPaused::_type = e_FederateNotPaused ;
-long IDsupplyExhausted::_type = e_IDsupplyExhausted ;
-long InvalidDivestitureCondition::_type = e_InvalidDivestitureCondition ;
-long InvalidFederationTimeDelta::_type = e_InvalidFederationTimeDelta ;
-long InvalidRoutingSpace::_type = e_InvalidRoutingSpace ;
-long NoPauseRequested::_type = e_NoPauseRequested ;
-long NoResumeRequested::_type = e_NoResumeRequested ;
-long TooManyIDsRequested::_type = e_TooManyIDsRequested ;
-long UnimplementedService::_type = e_UnimplementedService ;
-long UnknownLabel::_type = e_UnknownLabel ;
-long NetworkError::_type = e_NetworkError ;
-long NetworkSignal::_type = e_NetworkSignal ;
+long certi::FederateNotPublishing::_type = certi::e_FederateNotPublishing ;
+long certi::FederateNotSubscribing::_type = certi::e_FederateNotSubscribing ;
+long certi::InvalidObjectHandle::_type = certi::e_InvalidObjectHandle ;
+long certi::CouldNotOpenRID::_type = certi::e_CouldNotOpenRID ;
+long certi::ErrorReadingRID::_type = certi::e_ErrorReadingRID ;
+long certi::AttributeNotSubscribed::_type = certi::e_AttributeNotSubscribed ;
+long certi::FederationAlreadyPaused::_type = certi::e_FederationAlreadyPaused ;
+long certi::FederationNotPaused::_type = certi::e_FederationNotPaused ;
+long certi::SecurityError::_type = certi::e_SecurityError ;
+long certi::FederateAlreadyPaused::_type = certi::e_FederateAlreadyPaused ;
+long certi::FederateDoesNotExist::_type = certi::e_FederateDoesNotExist ;
+long certi::FederateNameAlreadyInUse::_type = certi::e_FederateNameAlreadyInUse ;
+long certi::FederateNotPaused::_type = certi::e_FederateNotPaused ;
+long certi::IDsupplyExhausted::_type = certi::e_IDsupplyExhausted ;
+long certi::InvalidDivestitureCondition::_type = certi::e_InvalidDivestitureCondition ;
+long certi::InvalidFederationTimeDelta::_type = certi::e_InvalidFederationTimeDelta ;
+long certi::InvalidRoutingSpace::_type = certi::e_InvalidRoutingSpace ;
+long certi::NoPauseRequested::_type = certi::e_NoPauseRequested ;
+long certi::NoResumeRequested::_type = certi::e_NoResumeRequested ;
+long certi::TooManyIDsRequested::_type = certi::e_TooManyIDsRequested ;
+long certi::UnimplementedService::_type = certi::e_UnimplementedService ;
+long certi::UnknownLabel::_type = certi::e_UnknownLabel ;
+long certi::NetworkError::_type = certi::e_NetworkError ;
+long certi::NetworkSignal::_type = certi::e_NetworkSignal ;
 
 static PrettyDebug PD_Exception("CERTI_EXCEPTION",__FILE__);
 
-const std::string Exception::displayMe() const
+const std::string certi::Exception::displayMe() const
 {
     std::stringstream msg;
 
Index: libCERTI/PrettyDebug.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/PrettyDebug.hh,v
retrieving revision 4.4
diff -u -r4.4 PrettyDebug.hh
--- libCERTI/PrettyDebug.hh	9 Aug 2007 09:22:45 -0000	4.4
+++ libCERTI/PrettyDebug.hh	21 Jan 2009 09:52:53 -0000
@@ -131,7 +131,8 @@
     inline void Out(pdDebugLevel Level, const char *Format, ...) {};
 #else
 	void Out(pdDebugLevel Level, const char *Format, ...);
-	void Mes(pdDebugLevel Level, const char type, const short testMess, const char *context);
+	void Mes(pdDebugLevel Level, const char type, const short testMess, const char *context);
+
 #endif
 
 };
Index: libHLA/HLAbuffer.hh
===================================================================
RCS file: /sources/certi/certi/libHLA/HLAbuffer.hh,v
retrieving revision 1.7
diff -u -r1.7 HLAbuffer.hh
--- libHLA/HLAbuffer.hh	22 Nov 2008 14:55:58 -0000	1.7
+++ libHLA/HLAbuffer.hh	7 Jan 2009 17:10:25 -0000
@@ -48,7 +48,7 @@
 
 namespace libhla {
 
-std::ostream& __print_buffer(std::ostream& stream, const void *buffer, size_t length);
+HLA_EXPORT std::ostream& __print_buffer(std::ostream& stream, const void *buffer, size_t length);
 
 /* Caution:
  * This implementation assumes that there are no compiler-generated data in
Index: libRTI/CMakeLists.txt
===================================================================
RCS file: /sources/certi/certi/libRTI/CMakeLists.txt,v
retrieving revision 1.10.4.1
diff -u -r1.10.4.1 CMakeLists.txt
--- libRTI/CMakeLists.txt	5 Jan 2009 13:34:52 -0000	1.10.4.1
+++ libRTI/CMakeLists.txt	12 Jan 2009 17:19:55 -0000
@@ -4,8 +4,10 @@
 SET(RTI_LIB_SRCS
   RTIambassador.cc
   RTIambPrivateRefs.cc
+  RTIambPrivateRefs.hh
   RTItypes.cc
   RTItypesImp.cc
+  RTItypesImp.hh
   )
   
 SET(RTI_LIB_INCLUDE
@@ -21,7 +23,7 @@
 #SOURCE_GROUP("RTI\\Header" FILES ${RTI_LIB_INCLUDE})
 
 ADD_LIBRARY(RTI ${RTI_LIB_SRCS} ${RTI_LIB_INCLUDE})
-TARGET_LINK_LIBRARIES(RTI CERTI)
+TARGET_LINK_LIBRARIES(RTI CERTI FedTime)
 
 SET_TARGET_PROPERTIES(RTI PROPERTIES OUTPUT_NAME "RTI-NG")
 SET_TARGET_PROPERTIES(RTI PROPERTIES VERSION 1.0.0 SOVERSION 1)
@@ -56,7 +58,7 @@
     ${FEDTIME_SRCS}
 )
 
-TARGET_LINK_LIBRARIES(FedTime RTI HLA)
+TARGET_LINK_LIBRARIES(FedTime)
 
 SET_TARGET_PROPERTIES(FedTime PROPERTIES PROJECT_LABEL LibFedTime)
 IF (MINGW)
Index: libRTI/RTIambPrivateRefs.cc
===================================================================
RCS file: /sources/certi/certi/libRTI/RTIambPrivateRefs.cc,v
retrieving revision 3.16.4.1
diff -u -r3.16.4.1 RTIambPrivateRefs.cc
--- libRTI/RTIambPrivateRefs.cc	5 Jan 2009 13:34:52 -0000	3.16.4.1
+++ libRTI/RTIambPrivateRefs.cc	21 Jan 2009 09:54:07 -0000
@@ -29,7 +29,7 @@
 #include <sstream>
 
 namespace {
-PrettyDebug D("LIBRTI", __FILE__);
+static PrettyDebug D("LIBRTI", __FILE__);
 static PrettyDebug G("GENDOC",__FILE__);
 }
 
Index: libRTI/RTIambassador.cc
===================================================================
RCS file: /sources/certi/certi/libRTI/RTIambassador.cc,v
retrieving revision 3.101.4.1
diff -u -r3.101.4.1 RTIambassador.cc
--- libRTI/RTIambassador.cc	5 Jan 2009 13:34:52 -0000	3.101.4.1
+++ libRTI/RTIambassador.cc	21 Jan 2009 14:33:40 -0000
@@ -626,7 +626,7 @@
     G.Out(pdGendoc,"enter RTIambassador::requestFederationSave with time");
 
     req.type = Message::REQUEST_FEDERATION_SAVE ;
-    req.setFedTime(cast<RTIfedTime>()(theTime).getTime());
+    req.setFedTime(certi_cast<RTIfedTime>()(theTime).getTime());
     req.setLabel(label);
     // boolean true means time constrained
     req.setBoolean(true);
@@ -796,7 +796,7 @@
 
     req.type = Message::PUBLISH_OBJECT_CLASS ;
     req.setObjectClass(theClass);
-    req.setAHS(cast<AttributeHandleSetImp>()(attributeList).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(attributeList).getAttributeHandles());
     G.Out(pdGendoc,"      ====>executeService PUBLISH_OBJECT_CLASS");
     privateRefs->executeService(&req, &rep);
     G.Out(pdGendoc,"exit  RTIambassador::publishObjectClass");
@@ -870,7 +870,7 @@
     G.Out(pdGendoc,"enter RTIambassador::subscribeObjectClassAttributes");
     req.type = Message::SUBSCRIBE_OBJECT_CLASS_ATTRIBUTES ;
     req.setObjectClass(theClass);
-    req.setAHS(cast<AttributeHandleSetImp>()(attributeList).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(attributeList).getAttributeHandles());
     req.setBoolean(active);
 
     privateRefs->executeService(&req, &rep);
@@ -996,13 +996,13 @@
 
     req.type = Message::UPDATE_ATTRIBUTE_VALUES ;
     req.setObject(theObject);
-    req.setFedTime(cast<RTIfedTime>()(theTime).getTime());
+    req.setFedTime(certi_cast<RTIfedTime>()(theTime).getTime());
     if ( theTag == NULL)
        {
        throw RTI::RTIinternalError ("Calling updateAttributeValues with Tag NULL");
        }
     req.setTag(theTag);
-    req.setAHVPS(cast<AttributeHandleValuePairSetImp>()(theAttributes).getAttributeHandleValuePairs());
+    req.setAHVPS(certi_cast<AttributeHandleValuePairSetImp>()(theAttributes).getAttributeHandleValuePairs());
     req.setBoolean(true);
 
     privateRefs->executeService(&req, &rep);
@@ -1038,7 +1038,7 @@
        throw RTI::RTIinternalError ("Calling updateAttributeValues with Tag NULL");
        }
     req.setTag(theTag);
-    req.setAHVPS(cast<AttributeHandleValuePairSetImp>()(theAttributes).getAttributeHandleValuePairs());
+    req.setAHVPS(certi_cast<AttributeHandleValuePairSetImp>()(theAttributes).getAttributeHandleValuePairs());
     req.setBoolean(false);
 
     privateRefs->executeService(&req, &rep);
@@ -1073,13 +1073,13 @@
 
     req.type = Message::SEND_INTERACTION ;
     req.setInteractionClass(theInteraction);
-    req.setFedTime(cast<RTIfedTime>()(theTime).getTime());
+    req.setFedTime(certi_cast<RTIfedTime>()(theTime).getTime());
     if (theTag == NULL)
        {
        throw RTI::RTIinternalError ("Calling sendInteraction with Tag NULL") ;
        }
     req.setTag((std::string)theTag);
-    req.setPHVPS(cast<ParameterHandleValuePairSetImp>()(theParameters).getParameterHandleValuePairs());
+    req.setPHVPS(certi_cast<ParameterHandleValuePairSetImp>()(theParameters).getParameterHandleValuePairs());
     req.setRegion(0);
     req.setBoolean(true);
 
@@ -1115,7 +1115,7 @@
        throw RTI::RTIinternalError ("Calling sendIntercation with Tag NULL") ;
        }
     req.setTag((std::string)theTag);
-    req.setPHVPS(cast<ParameterHandleValuePairSetImp>()(theParameters).getParameterHandleValuePairs());
+    req.setPHVPS(certi_cast<ParameterHandleValuePairSetImp>()(theParameters).getParameterHandleValuePairs());
     req.setRegion(0);
     req.setBoolean(false);
   
@@ -1147,7 +1147,7 @@
 
     req.type = Message::DELETE_OBJECT_INSTANCE ;
     req.setObject(theObject);
-    req.setFedTime(cast<RTIfedTime>()(theTime).getTime());
+    req.setFedTime(certi_cast<RTIfedTime>()(theTime).getTime());
     if (theTag == NULL)
        {
        throw RTI::RTIinternalError ("Calling deleteObjectInstance with Tag NULL") ;
@@ -1222,7 +1222,7 @@
     req.type = Message::CHANGE_ATTRIBUTE_TRANSPORTATION_TYPE ;
     req.setObject(theObject);
     req.setTransportation(theType);
-    req.setAHS(cast<AttributeHandleSetImp>()(theAttributes).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(theAttributes).getAttributeHandles());
 
     privateRefs->executeService(&req, &rep);
 }
@@ -1262,7 +1262,7 @@
     G.Out(pdGendoc,"enter RTIambassador::requestObjectAttributeValueUpdate");
     req.type = Message::REQUEST_OBJECT_ATTRIBUTE_VALUE_UPDATE ;
     req.setObject(theObject);
-    req.setAHS(cast<AttributeHandleSetImp>()(ahs).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(ahs).getAttributeHandles());
 
     privateRefs->executeService(&req, &rep);
     G.Out(pdGendoc,"exit  RTIambassador::requestObjectAttributeValueUpdate");
@@ -1283,7 +1283,7 @@
     G.Out(pdGendoc,"enter RTIambassador::requestClassAttributeValueUpdate");
     req.type = Message::REQUEST_CLASS_ATTRIBUTE_VALUE_UPDATE ;
     req.setObjectClass(theClass);
-    req.setAHS(cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
 
     privateRefs->executeService(&req, &rep);
     G.Out(pdGendoc,"exit  RTIambassador::requestClassAttributeValueUpdate");
@@ -1308,7 +1308,7 @@
 
     req.type = Message::UNCONDITIONAL_ATTRIBUTE_OWNERSHIP_DIVESTITURE ;
     req.setObject(theObject);
-    req.setAHS(cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
 
     privateRefs->executeService(&req, &rep);
 }
@@ -1339,7 +1339,7 @@
        throw RTI::RTIinternalError ("Calling negotiatedAttributeOwnershipDivestiture with Tag NULL") ;
        }
     req.setTag(theTag);
-    req.setAHS(cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
 
     privateRefs->executeService(&req, &rep);
 }
@@ -1371,7 +1371,7 @@
        throw RTI::RTIinternalError ("Calling attributeOwnershipAcquisition with Tag NULL") ;
        }
     req.setTag(theTag);
-    req.setAHS(cast<AttributeHandleSetImp>()(desiredAttributes).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(desiredAttributes).getAttributeHandles());
 
     privateRefs->executeService(&req, &rep);
 }
@@ -1396,7 +1396,7 @@
 
     req.type = Message::ATTRIBUTE_OWNERSHIP_RELEASE_RESPONSE ;
     req.setObject(theObject);
-    req.setAHS(cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
 
     privateRefs->executeService(&req, &rep);
 
@@ -1427,7 +1427,7 @@
 
     req.type = Message::CANCEL_NEGOTIATED_ATTRIBUTE_OWNERSHIP_DIVESTITURE ;
     req.setObject(theObject);
-    req.setAHS(cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
 
     privateRefs->executeService(&req, &rep);
 }
@@ -1452,7 +1452,7 @@
 
     req.type = Message::CANCEL_ATTRIBUTE_OWNERSHIP_ACQUISITION ;
     req.setObject(theObject);
-    req.setAHS(cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
 
     privateRefs->executeService(&req, &rep);
 }
@@ -1479,7 +1479,7 @@
 
     req.type = Message::ATTRIBUTE_OWNERSHIP_ACQUISITION_IF_AVAILABLE ;
     req.setObject(theObject);
-    req.setAHS(cast<AttributeHandleSetImp>()(desired).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(desired).getAttributeHandles());
 
     privateRefs->executeService(&req, &rep);
 }
@@ -1541,8 +1541,8 @@
 {
     Message req, rep ;
     req.type = Message::ENABLE_TIME_REGULATION ;
-    req.setFedTime(cast<RTIfedTime>()(theFederateTime).getTime());
-    req.setLookahead(cast<RTIfedTime>()(theLookahead).getTime());
+    req.setFedTime(certi_cast<RTIfedTime>()(theFederateTime).getTime());
+    req.setLookahead(certi_cast<RTIfedTime>()(theLookahead).getTime());
     req.setBoolean(true);
     privateRefs->executeService(&req, &rep);
 }
@@ -1618,7 +1618,7 @@
     Message req, rep ;
 
     req.type = Message::TIME_ADVANCE_REQUEST ;
-    req.setFedTime(cast<RTIfedTime>()(theTime).getTime());
+    req.setFedTime(certi_cast<RTIfedTime>()(theTime).getTime());
     privateRefs->executeService(&req, &rep);
 }
 
@@ -1635,7 +1635,7 @@
     Message req, rep ;
 
     req.type = Message::TIME_ADVANCE_REQUEST_AVAILABLE ;
-    req.setFedTime(cast<RTIfedTime>()(theTime).getTime());
+    req.setFedTime(certi_cast<RTIfedTime>()(theTime).getTime());
 
     privateRefs->executeService(&req, &rep);
 }
@@ -1658,7 +1658,7 @@
     Message req, rep ;
 
     req.type = Message::NEXT_EVENT_REQUEST ;
-    req.setFedTime(cast<RTIfedTime>()(theTime).getTime());
+    req.setFedTime(certi_cast<RTIfedTime>()(theTime).getTime());
     privateRefs->executeService(&req, &rep);
 }
 
@@ -1675,7 +1675,7 @@
     Message req, rep ;
 
     req.type = Message::NEXT_EVENT_REQUEST_AVAILABLE ;
-    req.setFedTime(cast<RTIfedTime>()(theTime).getTime());
+    req.setFedTime(certi_cast<RTIfedTime>()(theTime).getTime());
     privateRefs->executeService(&req, &rep);
 }
 
@@ -1698,7 +1698,7 @@
     Message req, rep ;
 
     req.type = Message::FLUSH_QUEUE_REQUEST ;
-    req.setFedTime(cast<RTIfedTime>()(theTime).getTime());
+    req.setFedTime(certi_cast<RTIfedTime>()(theTime).getTime());
 
     privateRefs->executeService(&req, &rep);
 }
@@ -1750,7 +1750,7 @@
     req.type = Message::QUERY_LBTS ;
     privateRefs->executeService(&req, &rep);
 
-    cast<RTIfedTime>()(theTime) = rep.getFedTime();
+    certi_cast<RTIfedTime>()(theTime) = rep.getFedTime();
 }
 
 // ----------------------------------------------------------------------------
@@ -1768,7 +1768,7 @@
     req.type = Message::QUERY_FEDERATE_TIME ;
     privateRefs->executeService(&req, &rep);
 
-    cast<RTIfedTime>()(theTime) = rep.getFedTime();
+    certi_cast<RTIfedTime>()(theTime) = rep.getFedTime();
 }
 
 // ----------------------------------------------------------------------------
@@ -1786,7 +1786,7 @@
     req.type = Message::QUERY_MIN_NEXT_EVENT_TIME ;
     privateRefs->executeService(&req, &rep);
 
-    cast<RTIfedTime>()(theTime) = rep.getFedTime();
+    certi_cast<RTIfedTime>()(theTime) = rep.getFedTime();
 }
 
 // ----------------------------------------------------------------------------
@@ -1800,7 +1800,7 @@
     Message req, rep ;
 
     req.type = Message::MODIFY_LOOKAHEAD ;
-    req.setLookahead(cast<RTIfedTime>()(theLookahead).getTime());
+    req.setLookahead(certi_cast<RTIfedTime>()(theLookahead).getTime());
 
     privateRefs->executeService(&req, &rep);
 }
@@ -1820,7 +1820,7 @@
     req.type = Message::QUERY_LOOKAHEAD ;
     privateRefs->executeService(&req, &rep);
 
-    cast<RTIfedTime>()(theTime) = rep.getFederationTimeDelta().getTime();
+    certi_cast<RTIfedTime>()(theTime) = rep.getFederationTimeDelta().getTime();
 }
 
 // ----------------------------------------------------------------------------
@@ -1856,7 +1856,7 @@
     req.type = Message::CHANGE_ATTRIBUTE_ORDER_TYPE ;
     req.setObject(theObject);
     req.setOrdering(theType);
-    req.setAHS(cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
 
     privateRefs->executeService(&req, &rep);
 }
@@ -2074,7 +2074,7 @@
     req.type = Message::DDM_ASSOCIATE_REGION ;
     req.setObject(object);
     req.setRegion(get_handle(region));
-    req.setAHS(cast<AttributeHandleSetImp>()(attributes).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(attributes).getAttributeHandles());
 
     privateRefs->executeService(&req, &rep);
     D[pdDebug] << "- Associate Region for Updates" << endl ;
@@ -2140,7 +2140,7 @@
     req.type = Message::DDM_SUBSCRIBE_ATTRIBUTES ;
     req.setObjectClass(object_class);
     req.setRegion(get_handle(region));
-    req.setAHS(cast<AttributeHandleSetImp>()(attributes).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(attributes).getAttributeHandles());
     req.setBoolean(passive);
 
     privateRefs->executeService(&req, &rep);
@@ -2250,8 +2250,8 @@
 
     req.setType(Message::SEND_INTERACTION);
     req.setInteractionClass(interaction);
-    req.setPHVPS(cast<ParameterHandleValuePairSetImp>()(par).getParameterHandleValuePairs());
-    req.setFedTime(cast<RTIfedTime>()(time).getTime());
+    req.setPHVPS(certi_cast<ParameterHandleValuePairSetImp>()(par).getParameterHandleValuePairs());
+    req.setFedTime(certi_cast<RTIfedTime>()(time).getTime());
     if ( tag == NULL )
        {
        throw RTI::RTIinternalError ("Calling sendInteractionWithRegion with Tag NULL");
@@ -2285,7 +2285,7 @@
 
     req.setType(Message::SEND_INTERACTION);
     req.setInteractionClass(interaction);
-    req.setPHVPS(cast<ParameterHandleValuePairSetImp>()(par).getParameterHandleValuePairs());
+    req.setPHVPS(certi_cast<ParameterHandleValuePairSetImp>()(par).getParameterHandleValuePairs());
     if ( tag == NULL )
        {
        throw RTI::RTIinternalError ("Calling sendInteractionWithRegion with Tag NULL");
@@ -2310,7 +2310,7 @@
 
     Message req, rep ;
     req.setType(Message::DDM_REQUEST_UPDATE);
-    req.setAHS(cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
+    req.setAHS(certi_cast<AttributeHandleSetImp>()(attrs).getAttributeHandles());
     req.setRegion(get_handle(region));
     privateRefs->executeService(&req, &rep);    
 }
Index: libRTI/RTIfedTime.cc
===================================================================
RCS file: /sources/certi/certi/libRTI/Attic/RTIfedTime.cc,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 RTIfedTime.cc
--- libRTI/RTIfedTime.cc	5 Jan 2009 15:22:35 -0000	1.1.2.2
+++ libRTI/RTIfedTime.cc	21 Jan 2009 09:19:07 -0000
@@ -46,7 +46,7 @@
 	return dynamic_cast<const RTIfedTime &>(time);
     }
     catch (std::bad_cast) {
-	throw RTI::InvalidFederationTime("Could not cast to RTIfedTime");
+	//throw RTI::InvalidFederationTime("Could not cast to RTIfedTime");
     }
 }
 
@@ -69,8 +69,8 @@
     try {
         return new RTIfedTime();
     }
-    catch (std::bad_alloc) {
-        throw RTI::MemoryExhausted("Cannot allocate RTI::FedTime.");
+    catch (std::bad_alloc) {		
+        //throw RTI::MemoryExhausted("Cannot allocate RTI::FedTime.");
     }
 }
 
@@ -82,7 +82,7 @@
         return new RTIfedTime(*(const RTI::Double*)buf);
     }
     catch (std::bad_alloc) {
-        throw RTI::MemoryExhausted("Cannot allocate RTI::FedTime.");
+        //throw RTI::MemoryExhausted("Cannot allocate RTI::FedTime.");
     }
 }
 
Index: libRTI/RTItypes.cc
===================================================================
RCS file: /sources/certi/certi/libRTI/RTItypes.cc,v
retrieving revision 1.2
diff -u -r1.2 RTItypes.cc
--- libRTI/RTItypes.cc	7 Dec 2008 20:16:16 -0000	1.2
+++ libRTI/RTItypes.cc	21 Jan 2009 14:28:44 -0000
@@ -27,15 +27,6 @@
 #include <cstdlib>
 #include <cstring>
 
-using namespace certi ;
-
-namespace {
-
-static PrettyDebug D("LIBRTI", __FILE__);
-static PrettyDebug G("GENDOC",__FILE__);
-
-}
-
 // static members for HLA Exceptions
 const char *RTI::ArrayIndexOutOfBounds::_ex = "ArrayIndexOutOfBounds" ;
 const char *RTI::AsynchronousDeliveryAlreadyDisabled::_ex = "AsynchronousDeliveryAlreadyDisabled" ;
@@ -198,7 +189,7 @@
 long RTI::ValueCountExceeded::type = certi::e_ValueCountExceeded ;
 long RTI::ValueLengthExceeded::type = certi::e_ValueLengthExceeded ;
 
-static PrettyDebug PD_Exception("RTI_EXCEPTION",__FILE__);
+static PrettyDebug PD_RTIException("RTI_EXCEPTION",__FILE__);
 
 RTI::Exception::~Exception()
 {
@@ -255,7 +246,7 @@
     msg << std::endl;
     msg << std::flush;
 
-    PD_Exception[pdExcept] << msg.str().c_str();
+    PD_RTIException[pdExcept] << msg.str().c_str();
     return msg.str();
 }
 
@@ -273,4 +264,4 @@
     return os<<(*ex);
 }
 
-// $Id: RTItypes.cc,v 1.2 2008/12/07 20:16:16 gotthardp Exp $
+// $Id: RTIs.cc,v 1.2 2008/12/07 20:16:16 gotthardp Exp $
Index: libRTI/RTItypesImp.cc
===================================================================
RCS file: /sources/certi/certi/libRTI/RTItypesImp.cc,v
retrieving revision 3.1
diff -u -r3.1 RTItypesImp.cc
--- libRTI/RTItypesImp.cc	7 Dec 2008 20:16:17 -0000	3.1
+++ libRTI/RTItypesImp.cc	21 Jan 2009 14:30:34 -0000
@@ -30,12 +30,9 @@
 
 using namespace certi ;
 
-namespace {
-
 static PrettyDebug D("LIBRTI", __FILE__);
 static PrettyDebug G("GENDOC",__FILE__);
 
-}
 
 // ----------------------------------------------------------------------------
 AttributeHandleValuePairSetImp::AttributeHandleValuePairSetImp(ULong size)
Index: libRTI/RTItypesImp.hh
===================================================================
RCS file: /sources/certi/certi/libRTI/RTItypesImp.hh,v
retrieving revision 3.1.4.1
diff -u -r3.1.4.1 RTItypesImp.hh
--- libRTI/RTItypesImp.hh	5 Jan 2009 13:34:52 -0000	3.1.4.1
+++ libRTI/RTItypesImp.hh	21 Jan 2009 14:31:59 -0000
@@ -31,7 +31,7 @@
 namespace certi {
 
 template<class I>
-struct cast
+struct certi_cast
 {
     template<class R>
     const I& operator()(const R& imp)
Index: test/Billard/Billard.cc
===================================================================
RCS file: /sources/certi/certi/test/Billard/Billard.cc,v
retrieving revision 3.40
diff -u -r3.40 Billard.cc
--- test/Billard/Billard.cc	25 Jun 2008 14:23:59 -0000	3.40
+++ test/Billard/Billard.cc	21 Jan 2009 13:52:35 -0000
@@ -39,7 +39,7 @@
 using std::cout ;
 using std::vector ;
 
-static pdCDebug D("BILLARD", __FILE__);
+static PrettyDebug D("BILLARD", __FILE__);
 
 // ----------------------------------------------------------------------------
 /** Constructor
@@ -173,7 +173,7 @@
              cout << "Now we test Register Federation Synchronisation Point on some federates" << endl ;
              cout << "Please enter a federate handle (zero means none)" << endl ;
              cout << "This federate will be synchronized with the creator and not the others" << endl;
-            /* FIXME we should use C++ I/O and not mix C I/O with  C++ I/O  
+            /* FIXME we should use C++ I/O and not mix C I/O with  C++ I/O
              while ( not (std::cin >> numfed) || numfed < 0) {
 	         std::cout << "That's not a number; ";
 		     std::cin.clear();
@@ -260,7 +260,7 @@
                     requestTime += TIME_STEP ;
 
 		    granted = false ;
-                    rtiamb.timeAdvanceRequest(requestTime);		    
+                    rtiamb.timeAdvanceRequest(requestTime);
                     while (!granted) {
                         try {
                             tick();
@@ -331,7 +331,7 @@
             D.Out(pdExcept, "**** Exception achieving a synchronization "
                   "point by creator : %d", &e);
         }
-       
+
         while (paused)
             try {
                 tick();
@@ -456,7 +456,7 @@
 
     for (vector<Ball>::iterator it = remote.begin(); it != remote.end(); ++it) {
 	it->active = false ;
-    }	
+    }
 
     while (!granted) {
         try {
@@ -638,12 +638,12 @@
 
     buffer.reset();
     buffer.write_int32(id);
-    buffer.updateReservedBytes();              
+    buffer.updateReservedBytes();
     parameterSet->add(ParamBoulID, static_cast<char*>(buffer(0)), buffer.size());
 
     D.Out(pdDebug, "SendInteraction");
     D.Out(pdDebug, "SendInteraction - ParamBoulID= %u", ParamBoulID);
-    D.Out(pdDebug, "SendInteraction - x= %d", id);    
+    D.Out(pdDebug, "SendInteraction - x= %d", id);
 
     buffer.reset();
 	buffer.write_double(dx);
@@ -652,7 +652,7 @@
 
     D.Out(pdDebug, "SendInteraction - ParamDXID= %u, x= %f",
           ParamDXID, dx);
-    
+
     buffer.reset();
     buffer.write_double(dy);
     buffer.updateReservedBytes();
@@ -692,33 +692,33 @@
 void
 Billard::sendUpdate(double x, double y, int color, const RTI::FedTime& UpdateTime,
 		    RTI::ObjectHandle id)
-{    
+{
     certi::MessageBuffer buffer;
     RTI::AttributeHandleValuePairSet *attributeSet ;
 
     attributeSet = RTI::AttributeSetFactory::create(3);
 
     D.Out(pdTrace, "SendUpdate.");
-   
+
     buffer.reset();
     buffer.write_double(x);
     buffer.updateReservedBytes();
-    attributeSet->add(AttrXID, static_cast<char*>(buffer(0)),buffer.size());    
+    attributeSet->add(AttrXID, static_cast<char*>(buffer(0)),buffer.size());
     D.Out(pdDebug, "SendUpdate - AttrXID= %u, x= %f, size= %u, attribute size=%d",
           AttrXID, x, attributeSet->size(),buffer.size());
-    
+
     buffer.reset();
-    buffer.write_double(y);	
+    buffer.write_double(y);
     buffer.updateReservedBytes();
     attributeSet->add(AttrYID, static_cast<char*>(buffer(0)),buffer.size());
     D.Out(pdDebug, "SendUpdate - AttrYID= %u, y= %f, size= %u",
           AttrYID, y, buffer.size());
 
     buffer.reset();
-    buffer.write_int32(color);	
+    buffer.write_int32(color);
     buffer.updateReservedBytes();
     attributeSet->add(AttrColorID, static_cast<char*>(buffer(0)),buffer.size());
-   
+
     D.Out(pdDebug, "SendUpdate - AttrColorID= %u, color= %f, size= %u",
           AttrColorID, color, buffer.size());
 
@@ -762,14 +762,14 @@
 Billard::discoverObjectInstance(RTI::ObjectHandle theObject,
 				RTI::ObjectClassHandle theObjectClass,
 				const char */*theObjectName*/)
-    throw (RTI::CouldNotDiscover, RTI::ObjectClassNotKnown, 
+    throw (RTI::CouldNotDiscover, RTI::ObjectClassNotKnown,
 	   RTI::FederateInternalError)
 {
     if (theObjectClass != BilleClassID) {
         D.Out(pdError, "Object of Unknown Class discovered.");
         throw RTI::FederateInternalError("");
     }
-    
+
     bool already = false ;
     for (vector<Ball>::iterator i = remote.begin(); i != remote.end(); ++i) {
 	if (i->ID == theObject) {
@@ -799,8 +799,8 @@
         std::cout<<"**** I am happy : I have a friend ****"<<std::endl;
         paused = true ;
         D.Out(pdProtocol, "announceSynchronizationPoint (friend).");
-    } 
-#endif       
+    }
+#endif
     else {
         cout << "Unexpected synchronization label" << endl ;
         exit(1);
@@ -859,19 +859,19 @@
         assert(valueLength>0);
         buffer.resize(valueLength);
         buffer.reset();
-        theParameters.getValue(j, static_cast<char*>(buffer(0)), valueLength);        
+        theParameters.getValue(j, static_cast<char*>(buffer(0)), valueLength);
         buffer.assumeSizeFromReservedBytes();
 
-        if (parmHandle == ParamDXID) {            
-             dx1 = static_cast<int>(buffer.read_double());                            
+        if (parmHandle == ParamDXID) {
+             dx1 = static_cast<int>(buffer.read_double());
         }
         else {
             if (parmHandle == ParamDYID) {
-            	dy1 = static_cast<int>(buffer.read_double());                    
-            }                
-            
+            	dy1 = static_cast<int>(buffer.read_double());
+            }
+
             else {
-                if (parmHandle == ParamBoulID) {                                                                   
+                if (parmHandle == ParamBoulID) {
                     h1 = buffer.read_int32(); ;
                     bille = true ;
                 }
@@ -910,7 +910,7 @@
     float x1 = 0 ;
     float y1 = 0 ;
 
-    RTI::ULong valueLength ;  
+    RTI::ULong valueLength ;
 
     D.Out(pdDebug, "reflectAttributeValues - nb attributs= %d",
           theAttributes.size());
@@ -920,21 +920,21 @@
         RTI::AttributeHandle parmHandle = theAttributes.getHandle(j);
         valueLength = theAttributes.getValueLength(j);
         assert(valueLength>0);
-        buffer.resize(valueLength);        
-        buffer.reset();        
-        theAttributes.getValue(j, static_cast<char*>(buffer(0)), valueLength);        
+        buffer.resize(valueLength);
+        buffer.reset();
+        theAttributes.getValue(j, static_cast<char*>(buffer(0)), valueLength);
         buffer.assumeSizeFromReservedBytes();
-        
+
         if (parmHandle == AttrXID) {
-           x1 = buffer.read_double();                
+           x1 = buffer.read_double();
         }
         else if (parmHandle == AttrYID) {
-           y1 = buffer.read_double();            
+           y1 = buffer.read_double();
         }
         else
             D.Out(pdError, "Fed: ERREUR: handle inconnu.");
     }
-    
+
     vector<Ball>::iterator it = remote.begin() ;
     while (it != remote.end() && it->ID != theObject)
 	++it ;
@@ -974,7 +974,7 @@
     float y1 = 0 ;
     certi::MessageBuffer buffer;
 
-    RTI::ULong valueLength ;   
+    RTI::ULong valueLength ;
 
     D.Out(pdDebug, "reflectAttributeValues - nb attributs= %d",
           theAttributes.size());
@@ -984,22 +984,22 @@
         RTI::AttributeHandle parmHandle = theAttributes.getHandle(j);
         valueLength = theAttributes.getValueLength(j);
         assert(valueLength>0);
-        buffer.resize(valueLength);        
-        buffer.reset();        
-        theAttributes.getValue(j, static_cast<char*>(buffer(0)), valueLength);        
+        buffer.resize(valueLength);
+        buffer.reset();
+        theAttributes.getValue(j, static_cast<char*>(buffer(0)), valueLength);
         buffer.assumeSizeFromReservedBytes();
 
-        if (parmHandle == AttrXID) {            
-        	x1 = buffer.read_double();                                            
+        if (parmHandle == AttrXID) {
+        	x1 = buffer.read_double();
         }
-        else if (parmHandle == AttrYID) {        	
-        	y1 = buffer.read_double();                                           
+        else if (parmHandle == AttrYID) {
+        	y1 = buffer.read_double();
         }
         else {
             D.Out(pdError, "Fed: ERREUR: handle inconnu.");
         }
     }
-    
+
     vector<Ball>::iterator it = remote.begin() ;
     while (it != remote.end() && it->ID != theObject)
 	++it ;
@@ -1046,9 +1046,9 @@
  */
 void
 Billard::timeAdvanceGrant(const RTI::FedTime& theTime)
-    throw (RTI::InvalidFederationTime, RTI::TimeAdvanceWasNotInProgress, 
+    throw (RTI::InvalidFederationTime, RTI::TimeAdvanceWasNotInProgress,
 	   RTI::FederateInternalError)
-{    
+{
     granted = true ;
     localTime = theTime ;
     D.Out(pdTrace, "Time advanced, local time is now %.2f.",

